Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.file
Class DirectoryExtractor

    java.lang.Object
      com.ejie.r01f.file.DirectoryExtractor

public class DirectoryExtractor
extends java.lang.Object

Recorre una estructura de directorios a partir de un punto de partida y devuelve una colección de ficheros, directorios o ambos El siguiente ejemplo obtiene todos los ficheros .java

     final FileFilter filter = new FileFilter() {
         public boolean accept( final File file ) {
             return file.getName().endsWith(".java");
         }
     };

     final DirectoryExtractor DirectoryExtractor = new DirectoryExtractor(".");
     final Collection files = DirectoryExtractor.getFiles(filter);

Constructor Summary
`DirectoryExtractor(java.lang.String startingDirectory)` Constructor

Method Summary
`java.util.Collection` | `getDirectories(java.io.FileFilter filter)` Recorrer la estructura de directorios y devolver una colección que contiene los directorios que cumplen las condiciones especificadas en el filtro
`java.util.Collection` | `getFiles(java.io.FileFilter filter)` Recorrer la estructura de directorios y devolver una colección que contiene los ficheros que cumplen las condiciones especificadas en el filtro
`java.util.Collection` | `getFilesAndDirectories(java.io.FileFilter filter)` Recorrer la estructura de directorios y devolver una colección que contiene los ficheros o directorios que cumplen las condiciones especificadas en el filtro

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryExtractor

    public DirectoryExtractor(java.lang.String startingDirectory)

  Constructor

Method Detail

### getFiles

    public java.util.Collection getFiles(java.io.FileFilter filter)

  Recorrer la estructura de directorios y devolver una colección que contiene los ficheros que cumplen las condiciones especificadas en el filtro

  Returns:
    Una colección de ficheros (objetos File)
  Throws:
    `IOException`

### getDirectories

    public java.util.Collection getDirectories(java.io.FileFilter filter)

  Recorrer la estructura de directorios y devolver una colección que contiene los directorios que cumplen las condiciones especificadas en el filtro

  Returns:
    Una colección de directorios (objetos File)
  Throws:
    `IOException`

### getFilesAndDirectories

    public java.util.Collection getFilesAndDirectories(java.io.FileFilter filter)

  Recorrer la estructura de directorios y devolver una colección que contiene los ficheros o directorios que cumplen las condiciones especificadas en el filtro

  Returns:
    Una colección de ficheros y directorios (objetos File)
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD